Mobilize
========

Mobilize is a tiny jQuery plugin for easy implementation of good menus on small screens. 
Basicly it creates a fixed navigation with 2-5 items and a "more"-button.

It is built from the thoughts of [Luke Wroblewski](http://www.lukew.com/about/):

![alt text](http://mathiasrando.dk/mobilize/navigation.png "Responsive navigation: Optimizing for Touch Across Devices")


## Demo
You can see a simple demo [right here](http://mathiasrando.dk/mobilize/).
(resize your browser width to less than 600px and refresh the page)


## Usage
1. Add [normalize](https://github.com/necolas/normalize.css).
2. Add your own CSS.
3. Add a navigation element with the class "main-menu".
4. Add the class "main-item" to the list items you want in the bottom-menu. I recommend 2 or 3 items.
5. Add jQuery. I recommend using [Google CDN](https://developers.google.com/speed/libraries/devguide?hl=da#jquery).
6. Add the Mobilize-script.
7. Add a script with `$('.main-menu').mobilize(600, "[text-for-more-button]", "[name-of-mobilize-css-file]");` .

Example:
![alt text](http://mathiasrando.dk/mobilize/example.png "Example of how to use the script")


## Notes
- Tested in newest versions of Chrome, Firefox and Safari as well as on iOS 7.1.1 and Android 4.4.
- Feel free to make all the changes you want.
- Someday I might make an optimized JavaScript-plugin instead.
